Runtime

## org.eclipse.gmf.runtime.notation
Interface IdentityAnchor

All Superinterfaces:
  Anchor, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  IdentityAnchorImpl

    public interface IdentityAnchor

extends Anchor

A representation of the model object 'Identity Anchor'.

The identity anchor is an anchor constraint which has a unique string id within its defining view

The following features are supported:

- `Id`

See Also:
  `NotationPackage.getIdentityAnchor()`
** Generated **
Model:

Method Summary
`java.lang.String` `getId()` Returns the value of the 'Id' attribute.
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute. The default value is `"anchor"`.

  The id is user-define

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `NotationPackage.getIdentityAnchor_Id()`
  ** Generated **
  Model:
    default="anchor"

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  The id is user-define

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.